Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class OlapUnitAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.OlapUnitAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class OlapUnitAction

extends org.springframework.webflow.action.FormAction

OlapUnitAction provides the actions for the olap view web flow

Author:
  jshih

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary
`protected JasperServerConstImpl` | `constants`
`protected org.apache.commons.logging.Log` | `log`
`protected OlapConnectionService` | `olapConnection`
`protected RepositoryService` | `repository`

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`OlapUnitAction()` initialize OlapUnitAction.class object

Method Summary
`java.lang.Object` | `createFormObject(org.springframework.webflow.execution.RequestContext context)` createFormObject loads form object
`java.lang.String` | `getConnectionWrapperClass()`
`EngineService` | `getEngine()` method to get the engine service object
`OlapConnectionService` | `getOlapConnection()` method to get the olap connection service object
`RepositoryService` | `getRepository()` getRepository returns repository service property
`org.springframework.webflow.execution.Event` | `handleTypeSelection(org.springframework.webflow.execution.RequestContext context)` handleTypeSelection receives input from mouse click and converts to the connection type.
`org.springframework.webflow.execution.Event` | `initAction(org.springframework.webflow.execution.RequestContext context)` initAction performs the initialization for the olap view (unit) web flow
`protected void` | `initBinder(org.springframework.webflow.execution.RequestContext context, org.springframework.validation.DataBinder binder)` Registers a byte array editor to allow spring handle File uploads as byte arrays
`org.springframework.webflow.execution.Event` | `locateOlapConnection(org.springframework.webflow.execution.RequestContext context)` locateOlapConnection creates or modify olap client connection
`protected void` | `log(java.lang.String text)` log logs debug message
`org.springframework.webflow.execution.Event` | `saveOlapClientConnection(org.springframework.webflow.execution.RequestContext context)` saveOlapClientConnection saves changes to olap client connection
`org.springframework.webflow.execution.Event` | `saveOlapUnit(org.springframework.webflow.execution.RequestContext context)` saveOlapUnit saves changes to olap view (unit)
`org.springframework.webflow.execution.Event` | `saveXmlaConnection(org.springframework.webflow.execution.RequestContext context)` saveXmlaConnection stores XML/A connection information and places its resource reference in olap unit
`void` | `setConnectionWrapperClass(java.lang.String s)`
`void` | `setEngine(EngineService engine)` method to set the engine service object
`void` | `setOlapConnection(OlapConnectionService olapConnection)` method to set the olap connection service object
`void` | `setRepository(RepositoryService repository)` setRepository sets repository service property
`org.springframework.webflow.execution.Event` | `validateOlapUnit(org.springframework.webflow.execution.RequestContext context)`

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Field Detail

### log

    protected final org.apache.commons.logging.Log log

### repository

    protected RepositoryService repository

### olapConnection

    protected OlapConnectionService olapConnection

### constants

    protected JasperServerConstImpl constants

Constructor Detail

### OlapUnitAction

    public OlapUnitAction()

  initialize OlapUnitAction.class object

Method Detail

### initAction

    public org.springframework.webflow.execution.Event initAction(org.springframework.webflow.execution.RequestContext context)
                                                           throws java.lang.Exception

  initAction performs the initialization for the olap view (unit) web flow

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### handleTypeSelection

    public org.springframework.webflow.execution.Event handleTypeSelection(org.springframework.webflow.execution.RequestContext context)
                                                                    throws java.lang.Exception

  handleTypeSelection receives input from mouse click and converts to the connection type.

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### locateOlapConnection

    public org.springframework.webflow.execution.Event locateOlapConnection(org.springframework.webflow.execution.RequestContext context)
                                                                     throws java.lang.Exception

  locateOlapConnection creates or modify olap client connection

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### saveOlapClientConnection

    public org.springframework.webflow.execution.Event saveOlapClientConnection(org.springframework.webflow.execution.RequestContext context)
                                                                         throws java.lang.Exception

  saveOlapClientConnection saves changes to olap client connection

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### saveOlapUnit

    public org.springframework.webflow.execution.Event saveOlapUnit(org.springframework.webflow.execution.RequestContext context)
                                                             throws java.lang.Exception

  saveOlapUnit saves changes to olap view (unit)

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### saveXmlaConnection

    public org.springframework.webflow.execution.Event saveXmlaConnection(org.springframework.webflow.execution.RequestContext context)
                                                                   throws java.lang.Exception

  saveXmlaConnection stores XML/A connection information and places its resource reference in olap unit

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### createFormObject

    public java.lang.Object createFormObject(org.springframework.webflow.execution.RequestContext context)

  createFormObject loads form object

  Overrides:
    `createFormObject` in class `org.springframework.webflow.action.FormAction`

### validateOlapUnit

    public org.springframework.webflow.execution.Event validateOlapUnit(org.springframework.webflow.execution.RequestContext context)
                                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getConnectionWrapperClass

    public java.lang.String getConnectionWrapperClass()

### setConnectionWrapperClass

    public void setConnectionWrapperClass(java.lang.String s)

### getRepository

    public RepositoryService getRepository()

  getRepository returns repository service property

  Returns:

### setRepository

    public void setRepository(RepositoryService repository)

  setRepository sets repository service property

  Parameters:
    `repository` -

### getOlapConnection

    public OlapConnectionService getOlapConnection()

  method to get the olap connection service object

  Returns:

### setOlapConnection

    public void setOlapConnection(OlapConnectionService olapConnection)

  method to set the olap connection service object

  Parameters:
    `olapConnection` -

### getEngine

    public EngineService getEngine()

  method to get the engine service object

  Returns:

### setEngine

    public void setEngine(EngineService engine)

  method to set the engine service object

  Parameters:
    `engine` -

### initBinder

    protected void initBinder(org.springframework.webflow.execution.RequestContext context,
                              org.springframework.validation.DataBinder binder)

  Registers a byte array editor to allow spring handle File uploads as byte arrays

  Overrides:
    `initBinder` in class `org.springframework.webflow.action.FormAction`
  Parameters:
    `context` -
    `binder` -

### log

    protected void log(java.lang.String text)

  log logs debug message

  Parameters:
    `text` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.